Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.backing
Class GsBacking

    java.lang.Object
      com.bea.apps.groupspace.backing.GsBacking

All Implemented Interfaces
  JspBacking, Serializable

    public class GsBacking

extends Object
implements JspBacking

See Also
  Serialized Form

Field Summary
`static String` | `GSL_CONTENT_ID_KEY`
`static String` | `GSL_CONTENT_TYPE_KEY`
`static String` | `GSL_CURRENT_PAGE_ID_KEY`
`static String` | `GSL_CURRENT_PORTLET_ID_KEY`
`static String` | `GSL_DETAILS_EVENT_HANDLED`
`static String` | `GSL_EVENT_PREPARED_KEY`
`static String` | `GSL_ID_ATTR_NAME_KEY`
`static String` | `GSL_LINK_CLICK_EVENT_NAME`
`static String` | `GSL_LINK_CLICKED_KEY`
`static String` | `GSL_SHOW_DETAILS_EVENT_NAME`
`static String` | `GSL_TARGET_PORTLET_ID_KEY`

Constructor Summary
`GsBacking()`

Method Summary
`void` | `dispose()` This method is called at the end of serving the request, after the JSP has rendered.
`void` | `gsLink_evalLinkHandler(HttpServletRequest request, HttpServletResponse response, Event event)` This method handles the event when a Groupspace content link is clicked.
`boolean` | `handlePostbackData(HttpServletRequest request, HttpServletResponse response)` The purpose of this method is to let an implementation process request data.
`void` | `init(HttpServletRequest request, HttpServletResponse response)` This method is called once per request, and backing files can do request-scoped initialization by implementing this method.
`boolean` | `preRender(HttpServletRequest request, HttpServletResponse response)` This method is called before rendering the JSP that this backing file is associated with.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GSL_LINK_CLICKED_KEY

    public static String GSL_LINK_CLICKED_KEY

### GSL_CURRENT_PAGE_ID_KEY

    public static String GSL_CURRENT_PAGE_ID_KEY

### GSL_CURRENT_PORTLET_ID_KEY

    public static String GSL_CURRENT_PORTLET_ID_KEY

### GSL_CONTENT_TYPE_KEY

    public static String GSL_CONTENT_TYPE_KEY

### GSL_CONTENT_ID_KEY

    public static String GSL_CONTENT_ID_KEY

### GSL_EVENT_PREPARED_KEY

    public static String GSL_EVENT_PREPARED_KEY

### GSL_TARGET_PORTLET_ID_KEY

    public static String GSL_TARGET_PORTLET_ID_KEY

### GSL_ID_ATTR_NAME_KEY

    public static String GSL_ID_ATTR_NAME_KEY

### GSL_DETAILS_EVENT_HANDLED

    public static String GSL_DETAILS_EVENT_HANDLED

### GSL_LINK_CLICK_EVENT_NAME

    public static String GSL_LINK_CLICK_EVENT_NAME

### GSL_SHOW_DETAILS_EVENT_NAME

    public static String GSL_SHOW_DETAILS_EVENT_NAME

Constructor Detail

### GsBacking

    public GsBacking()

Method Detail

### init

    public void init(HttpServletRequest request,
                     HttpServletResponse response)

  Description copied from interface: `JspBacking`

  This method is called once per request, and backing files can do request-scoped initialization by implementing this method. This method is run on the window (book/page/portlet) even if the window is not currently on a selected page.

  Specified by:
    `init` in interface `JspBacking`
  Parameters
    `request` - HTTP request
    `response` - HTTP response

### handlePostbackData

    public boolean handlePostbackData(HttpServletRequest request,
                                      HttpServletResponse response)

  Description copied from interface: `JspBacking`

  The purpose of this method is to let an implementation process request data.

  This method should return `true` if it changes the window mode, window state, or the current page.

  Specified by:
    `handlePostbackData` in interface `JspBacking`
  Parameters
    `request` - HTTP request
    `response` - HTTP response
  Returns
    boolean true if the window mode, state, or current page were changed

### preRender

    public boolean preRender(HttpServletRequest request,
                             HttpServletResponse response)

  Description copied from interface: `JspBacking`

  This method is called before rendering the JSP that this backing file is associated with. This method will not be run if the book/page/portlet is not being rendered (displayed). This is useful if heavy business logic only needs to be run if this portlet is on a selected page.

  This method should return `true` to let the framework render the JSP. If this method returns `false`, the framework will not render the content JSP.

  Note: if you don't want the Window (book, page or portlet) to render at all, call `setVisible(false)` on the backing context.

  Specified by:
    `preRender` in interface `JspBacking`
  Parameters
    `request` - HTTP request
    `response` - HTTP response
  Returns
    boolean true if the content JSP should be rendered.
  See Also
    `BackingContext`, `PortletBackingContext`, `BookBackingContext`, `PageBackingContext`

### dispose

    public void dispose()

  Description copied from interface: `JspBacking`

  This method is called at the end of serving the request, after the JSP has rendered.

  Specified by:
    `dispose` in interface `JspBacking`

### gsLink_evalLinkHandler

    public void gsLink_evalLinkHandler(HttpServletRequest request,
                                       HttpServletResponse response,
                                       Event event)

  This method handles the event when a Groupspace content link is clicked.

  Parameters
    `HttpServletRequest` -
    `HttpServletResponse` -
    `Event` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved